Announcement

Collapse
No announcement yet.

Fedora 7 Test 1 + AMD fglrx Drivers

Collapse
X
  • Filter
  • Time
  • Show
Clear All
new posts

  • #11
    component-config.h? No.

    In ati-packager.sh delete:

    Originally posted by ati-packager.sh
    if [ ! -x ${TMP_RPM_BUILD_DIR}/usr/bin/fireglcontrolpanel ]; then
    mkdir ${TMP_RPM_BUILD_DIR}/usr/src/ati/fglrx_panel_sources
    pushd ${TMP_RPM_BUILD_DIR}/usr/src/ati/fglrx_panel_sources &> /dev/null
    tar xzf ${TMP_RPM_BUILD_DIR}/usr/src/ati/fglrx_panel_sources.tgz
    sed -i 's|^LIBQT_DYN = qt$|LIBQT_DYN = qt-mt|' Makefile
    sed -i 's|STRIP = strip|STRIP = @echo strip is disabled for:|' Makefile
    sed -i 's|BASENAME = fireglcontrol|BASENAME = fireglcontrolpanel|' Makefile
    [ -n "$QTDIR" ] || . /etc/profile.d/qt.sh && make &> /dev/null
    install -p -m 0755 fireglcontrolpanel ${TMP_RPM_BUILD_DIR}/usr/bin/fireglcontrolpanel
    popd &> /dev/null
    fi
    And then in ATI-fglrx.spec-tmpl

    %package control-panel
    Summary: The control panel for the ATI proprietary graphics driver
    Group: User Interface/X Hardware Support
    License: BSD/Commercial/GPL/QPL

    Requires: %{name} = %{version}-%{release}
    %description control-panel
    The control panel used by the ATI proprietary graphics driver for ATI
    Radeon graphic cards. This includes ATI RADEON (8500 and later),
    MOBILITY RADEON (M9 and later), RADEON XPRESS IGP, and FireGL series
    of graphics graphics accelerators.
    %files control-panel
    %defattr(-,root,root,-)
    %{_bindir}/fireglcontrolpanel
    %{_datadir}/applications/ati-fireglcontrolpanel.desktop
    %{_datadir}/pixmaps/ati.xpm
    # Create a proper desktop file in the right location for Fedora Core
    mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
    pushd $RPM_BUILD_ROOT%{_datadir}/applications
    cat <<EOF > ati-fireglcontrolpanel.desktop
    [Desktop Entry]
    Encoding=UTF-8
    Name=ATI Control Panel
    GenericName=ATI Control Panel
    Comment=ATI graphics adapter settings
    Exec=fireglcontrolpanel
    Icon=ati.xpm
    Terminal=false
    Type=Application
    Categories=Qt;Application;System;
    Version=%{version}
    EOF
    popd
    That should be it.
    Michael Larabel
    http://www.michaellarabel.com/

    Comment


    • #12
      Ok - I commented out the lines you suggested. Now I am getting the following (i couldn't post the whole thing because of the line restrictions):
      Code:
      [root@localhost fglrx-install]# ./ati-installer.sh 8.33.6 --buildpkg Fedora/F7
      ==================================================
       ATI Technologies Linux Driver Installer/Packager 
      ==================================================
      Generating package: Fedora/F7
      The text leading up to this was:
      --------------------------
      |--- common/lib/modules/fglrx/build_mod/firegl_public.c 2006-12-18 10:58:15.000000000 -0500
      |+++ common/lib/modules/fglrx/build_mod/firegl_public.c 2006-12-18 11:14:04.000000000 -0500
      --------------------------
      File to patch: firegl_public.c
      Package build failed!
      Package build utility output:
      Building target platforms: x86_64
      Building for target x86_64
      Executing(%prep): /bin/sh -e /tmp/ATI-fglrx-8.33.6-1-6557-root/tmp/rpm-tmp.99636
      + umask 022
      ....
      Code:
      initializing...
      OsRelease=2.6.19-1.2917.fc7
      major=2
      minor=6
      patch=19
      extra=-1.2917.fc7
      SMP=1
      smp=-SMP
      iii=
      AGP=1
      CC=gcc
      cc_version=
      cleaning...
      patching 'highmem.h'...
      assuming new VMA API since we do have kernel 2.6.x...
       Assuming default VMAP API
       Assuming default munmap API
      doing Makefile based build for kernel 2.6.x and higher
      make -C /lib/modules/2.6.19-1.2917.fc7/build SUBDIRS=/tmp/ATI-fglrx-8.33.6-1-6557-root/tmp/ATI-fglrx-8.33.6-1.-root-root/lib/modules/fglrx/build_mod/2.6.x modules
      make[1]: Entering directory `/usr/src/kernels/2.6.19-1.2917.fc7-x86_64'
        CC [M]  /tmp/ATI-fglrx-8.33.6-1-6557-root/tmp/ATI-fglrx-8.33.6-1.-root-root/lib/modules/fglrx/build_mod/2.6.x/firegl_public.o
      /tmp/ATI-fglrx-8.33.6-1-6557-root/tmp/ATI-fglrx-8.33.6-1.-root-root/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c:529: warning: initialization from incompatible pointer type
      /tmp/ATI-fglrx-8.33.6-1-6557-root/tmp/ATI-fglrx-8.33.6-1.-root-root/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c: In function 'firegl_stub_open':
      /tmp/ATI-fglrx-8.33.6-1-6557-root/tmp/ATI-fglrx-8.33.6-1.-root-root/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c:652: warning: assignment discards qualifiers from pointer target type
      /tmp/ATI-fglrx-8.33.6-1-6557-root/tmp/ATI-fglrx-8.33.6-1.-root-root/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c: In function 'firegl_put_user_ptr':
      /tmp/ATI-fglrx-8.33.6-1-6557-root/tmp/ATI-fglrx-8.33.6-1.-root-root/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c:1421: warning: cast from pointer to integer of different size
      /tmp/ATI-fglrx-8.33.6-1-6557-root/tmp/ATI-fglrx-8.33.6-1.-root-root/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c:1421: warning: cast from pointer to integer of different size
      /tmp/ATI-fglrx-8.33.6-1-6557-root/tmp/ATI-fglrx-8.33.6-1.-root-root/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c:1421: warning: cast from pointer to integer of different size
      /tmp/ATI-fglrx-8.33.6-1-6557-root/tmp/ATI-fglrx-8.33.6-1.-root-root/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c:1421: warning: cast from pointer to integer of different size
      /tmp/ATI-fglrx-8.33.6-1-6557-root/tmp/ATI-fglrx-8.33.6-1.-root-root/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c: In function '__ke_request_irq':
      /tmp/ATI-fglrx-8.33.6-1-6557-root/tmp/ATI-fglrx-8.33.6-1.-root-root/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c:2641: warning: passing argument 2 of 'request_irq' from incompatible pointer type
      /tmp/ATI-fglrx-8.33.6-1-6557-root/tmp/ATI-fglrx-8.33.6-1.-root-root/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c: In function '__ke_unregister_ioctl32_conversion':
      /tmp/ATI-fglrx-8.33.6-1-6557-root/tmp/ATI-fglrx-8.33.6-1.-root-root/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c:2664: warning: 'return' with a value, in function returning void
      /tmp/ATI-fglrx-8.33.6-1-6557-root/tmp/ATI-fglrx-8.33.6-1.-root-root/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c: In function 'KAS_ExecuteAtLevel':
      /tmp/ATI-fglrx-8.33.6-1-6557-root/tmp/ATI-fglrx-8.33.6-1.-root-root/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c:4506: warning: 'flags' may be used uninitialized in this function
        LD [M]  /tmp/ATI-fglrx-8.33.6-1-6557-root/tmp/ATI-fglrx-8.33.6-1.-root-root/lib/modules/fglrx/build_mod/2.6.x/fglrx.o
        Building modules, stage 2.
        MODPOST 1 modules
      WARNING: could not find /tmp/ATI-fglrx-8.33.6-1-6557-root/tmp/ATI-fglrx-8.33.6-1.-root-root/lib/modules/fglrx/build_mod/2.6.x/.libfglrx_ip.a.GCC4.cmd for /tmp/ATI-fglrx-8.33.6-1-6557-root/tmp/ATI-fglrx-8.33.6-1.-root-root/lib/modules/fglrx/build_mod/2.6.x/libfglrx_ip.a.GCC4
        CC      /tmp/ATI-fglrx-8.33.6-1-6557-root/tmp/ATI-fglrx-8.33.6-1.-root-root/lib/modules/fglrx/build_mod/2.6.x/fglrx.mod.o
        LD [M]  /tmp/ATI-fglrx-8.33.6-1-6557-root/tmp/ATI-fglrx-8.33.6-1.-root-root/lib/modules/fglrx/build_mod/2.6.x/fglrx.ko
      make[1]: Leaving directory `/usr/src/kernels/2.6.19-1.2917.fc7-x86_64'
      build succeeded with return value 0
      duplicating results into driver repository...
      done.
      ...
      Processing files: ATI-fglrx-8.33.6-1.
      Provides: atiogl_a_dri.so()(64bit) config(ATI-fglrx) = 8.33.6-1. fglrx_dri.so()(64bit) fglrx_drv.so()(64bit) libGL.so.1()(64bit) libfglrx_dm.so.1.0()(64bit) libfglrx_gamma.so.1()(64bit) libfglrx_pp.so.1.0()(64bit) libfglrx_tvout.so.1()(64bit) libfglrxdrm.so()(64bit)
      Requires(interp): /bin/sh /bin/sh /bin/sh
      Requires(rpmlib): rpmlib(CompressedFileNames) <= 3.0.4-1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
      Requires(post): /bin/sh /sbin/chkconfig /sbin/ldconfig
      Requires(preun): /bin/sh /sbin/chkconfig /sbin/service
      Requires(postun): /bin/sh /sbin/ldconfig /sbin/service
      Requires: /bin/bash /bin/sh config(ATI-fglrx) = 8.33.6-1. kernel-module-ATI-fglrx-2.6.19-1.2917.fc7 = 8.33.6-1. libGL.so.1()(64bit) libX11.so.6()(64bit) libXext.so.6()(64bit) libXrandr.so.2()(64bit) libXrender.so.1()(64bit) libc.so.6()(64bit) libc.so.6(GLIBC_2.2.5)(64bit) libc.so.6(GLIBC_2.3)(64bit) libdl.so.2()(64bit) libdl.so.2(GLIBC_2.2.5)(64bit) libfglrx_dm.so.1.0()(64bit) libfglrx_gamma.so.1()(64bit) libfglrx_pp.so.1.0()(64bit) libfglrx_tvout.so.1()(64bit) libgcc_s.so.1()(64bit) libgcc_s.so.1(GCC_3.0)(64bit) libm.so.6()(64bit) libm.so.6(GLIBC_2.2.5)(64bit) libpthread.so.0()(64bit) libpthread.so.0(GLIBC_2.2.5)(64bit) libpthread.so.0(GLIBC_2.3.2)(64bit) librt.so.1()(64bit) librt.so.1(GLIBC_2.2.5)(64bit) libstdc++.so.5()(64bit) libstdc++.so.5(CXXABI_1.2)(64bit) libstdc++.so.5(GLIBCPP_3.2)(64bit) system-config-display
      Conflicts: fglrx fglrx-glc22 fglrx_4_3_0 fglrx_6_8_0 kernel-module-fglrx ati-fglrx ati-fglrx-devel kmod-fglrx xorg-x11-drv-fglrx xorg-x11-drv-fglrx-devel nvidia-glx nvidia-glx-legacy xorg-x11-drv-nvidia xorg-x11-drv-nvidia-legacy
      Processing files: ATI-fglrx-devel-8.33.6-1.
      Requires(rpmlib): rpmlib(CompressedFileNames) <= 3.0.4-1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
      Requires: /usr/include/GL ATI-fglrx = 8.33.6-1. libGL.so.1()(64bit)
      Processing files: ATI-fglrx-IA32-libs-8.33.6-1.
      Provides: fglrx_dri.so libGL.so.1
      Requires(interp): /bin/sh /bin/sh
      Requires(rpmlib): rpmlib(CompressedFileNames) <= 3.0.4-1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
      Requires(post): /bin/sh
      Requires(preun): /bin/sh
      Requires: ATI-fglrx = 8.33.6-1. libGL.so.1 libX11.so.6 libXext.so.6 libc.so.6 libc.so.6(GLIBC_2.0) libc.so.6(GLIBC_2.1) libc.so.6(GLIBC_2.1.3) libc.so.6(GLIBC_2.2.3) libdl.so.2 libdl.so.2(GLIBC_2.0) libdl.so.2(GLIBC_2.1) libm.so.6 libm.so.6(GLIBC_2.0) libm.so.6(GLIBC_2.1) libpthread.so.0 libpthread.so.0(GLIBC_2.0) librt.so.1 librt.so.1(GLIBC_2.2) libstdc++.so.5 libstdc++.so.5(CXXABI_1.2) libstdc++.so.5(GLIBCPP_3.2)
      Processing files: kernel-module-ATI-fglrx-2.6.19-1.2917.fc7-8.33.6-1.
      Requires(interp): /bin/sh /bin/sh
      Requires(rpmlib): rpmlib(CompressedFileNames) <= 3.0.4-1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
      Requires(post): /bin/sh
      Requires(postun): /bin/sh
      Processing files: ATI-fglrx-debuginfo-8.33.6-1.
      Provides: atiogl_a_dri.so.debug atiogl_a_dri.so.debug()(64bit) fglrx_dri.so.debug fglrx_dri.so.debug()(64bit) fglrx_drv.so.debug()(64bit) libGL.so.1.2.debug libGL.so.1.2.debug()(64bit) libfglrx_dm.so.1.0.debug()(64bit) libfglrx_gamma.so.1.0.debug()(64bit) libfglrx_pp.so.1.0.debug()(64bit) libfglrx_tvout.so.1.0.debug()(64bit) libfglrxdrm.so.debug()(64bit)
      Requires(rpmlib): rpmlib(CompressedFileNames) <= 3.0.4-1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
      Checking for unpackaged file(s): /usr/lib/rpm/check-files /tmp/ATI-fglrx-8.33.6-1-6557-root/tmp/ATI-fglrx-8.33.6-1.-root-root
      error: Installed (but unpackaged) file(s) found:
         /usr/lib/dri/atiogl_a_dri.so
         /usr/share/pixmaps/ati.xpm
      
      
      RPM build errors:
          Installed (but unpackaged) file(s) found:
         /usr/lib/dri/atiogl_a_dri.so
         /usr/share/pixmaps/ati.xpm
      [root@localhost fglrx-install]#
      I seem to have installed but unpackaged files.

      So I am missing something here.

      Thanks,
      Partha

      www.partha.com

      Comment


      • #13
        /usr/lib/dri/atiogl_a_dri.so is being removed from the drivers this month. Looks like the script I uploaded was the wrong one

        In the spec files delete the %files lines where it calls atiogl_a_dri.so and ati.xpm.
        Michael Larabel
        http://www.michaellarabel.com/

        Comment


        • #14
          Michael,

          It is not working. I deleted the line
          Code:
          #@DRI_MODULE_DIR@/atiogl_a_dri.so
          The xpm line is already commented out since we deleted the control-panel. I am now getting the following:
          Code:
          RPM build errors:
              Installed (but unpackaged) file(s) found:
             /usr/lib/dri/atiogl_a_dri.so
             /usr/lib64/dri/atiogl_a_dri.so
             /usr/share/pixmaps/ati.xpm
          I am not sure if I am doing this correctly. Any chance you can upload the corrected scripts?

          Thanks!
          Partha

          www.partha.com

          Comment


          • #15
            I can get the corrected scripts uploaded soon -- in a few hours. In the middle of some work but as soon as I am done finishing the code I am working on I can go find the right copy. So check back shortly.
            Michael Larabel
            http://www.michaellarabel.com/

            Comment


            • #16
              See: http://www.michaellarabel.com/index.php?k=blog&i=35

              Packaged them all up nicely.
              Michael Larabel
              http://www.michaellarabel.com/

              Comment


              • #17
                Originally posted by Michael View Post
                See: http://www.michaellarabel.com/index.php?k=blog&i=35

                Packaged them all up nicely.
                Michael,

                Got the script. Almost working. The dri issues is still there. Here is the output:
                Code:
                ...
                error: Installed (but unpackaged) file(s) found:
                   /usr/lib/dri/atiogl_a_dri.so
                
                
                RPM build errors:
                    Installed (but unpackaged) file(s) found:
                   /usr/lib/dri/atiogl_a_dri.so
                somewhere it is being called.

                Let me know what I can do next.

                Thanks!
                Partha

                www.partha.com

                Comment


                • #18
                  Replying to myself ,,,,

                  Maybe this will help...

                  Code:
                  extracting debug info from /tmp/ATI-fglrx-8.33.6-1-7815-root/tmp/ATI-fglrx-8.33.6-1.-root-root/usr/lib/dri/atiogl_a_dri.so
                  ..
                  Also, I am now using the latest kernel 2919.

                  Thanks,
                  Partha

                  www.partha.com

                  Comment


                  • #19
                    Try now. It seems one of the lines for the x86_64 packages got removed. Just re-run the script so it redownloads the new scripts off michaellarabel.com
                    Michael Larabel
                    http://www.michaellarabel.com/

                    Comment


                    • #20
                      Originally posted by Michael View Post
                      Try now. It seems one of the lines for the x86_64 packages got removed. Just re-run the script so it redownloads the new scripts off michaellarabel.com
                      OK - That worked.

                      Looks like I have 3d acceleration and fgl_grears seems to give numbers similar to FC6. I am going to test this driver out. Maybe install Xgl. i will start a new column on my site about this testing.

                      Anything in particular you want me to test?

                      Thanks for everything!!

                      Partha

                      www.partha.com

                      Comment

                      Working...
                      X